CREATE TABLE her_template_header_tl (
    TEMPLATE_ID              NUMBER(18, 0),
    LANGUAGE                 VARCHAR2(16) ,
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    TEMPLATE_NAME            VARCHAR2(200)    NOT NULL,
    TEMPLATE_DESCRIPTION     CLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TEMPLATE_ID              NUMBER(18, 0),
    LANGUAGE                 VARCHAR2(16) ,
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    TEMPLATE_NAME            VARCHAR2(200)    NOT NULL,
    TEMPLATE_DESCRIPTION     CLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_her_template_header_tl PRIMARY KEY (TEMPLATE_ID, LANGUAGE, TEMPLATE_ID, LANGUAGE)
);
